Package ru.bitel.bgbilling.modules.voice.common.bean.report

# Class SessionDetail<T>

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.report.SessionDetail<T>

    public class SessionDetail<T>
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SessionDetail()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addValue​(java.math.BigDecimal summ, long amount)` |
  `void` | `copyInfoFrom​(SessionDetail<T> d)` |
  `int` | `getAccountId()` |
  `long` | `getAmount()` |
  `long` | `getAmountRound()` |
  `int` | `getCount()` |
  `java.lang.String` | `getNumberA()` |
  `java.util.List<T>` | `getResult()` |
  `java.lang.String` | `getService()` |
  `int` | `getServiceId()` |
  `java.math.BigDecimal` | `getSumm()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setAmount​(long amount)` |
  `void` | `setAmountRound​(long amountRound)` |
  `void` | `setCount​(int count)` |
  `void` | `setNumberA​(java.lang.String numberA)` |
  `void` | `setResult​(java.util.List<T> result)` |
  `void` | `setService​(java.lang.String service)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setSumm​(java.math.BigDecimal summ)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionDetail

    public SessionDetail()

- ## Method Details

  - ### getResult

    public java.util.List<T> getResult()

  - ### setResult

    public void setResult​(java.util.List<T> result)

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount​(int count)

  - ### getSumm

    public java.math.BigDecimal getSumm()

  - ### setSumm

    public void setSumm​(java.math.BigDecimal summ)

  - ### getAmount

    public long getAmount()

  - ### setAmount

    public void setAmount​(long amount)

  - ### getService

    public java.lang.String getService()

  - ### setService

    public void setService​(java.lang.String service)

  - ### getNumberA

    public java.lang.String getNumberA()

  - ### setNumberA

    public void setNumberA​(java.lang.String numberA)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### copyInfoFrom

    public void copyInfoFrom​(SessionDetail<T> d)

  - ### addValue

    public void addValue​(java.math.BigDecimal summ, long amount)

  - ### getAmountRound

    public long getAmountRound()

  - ### setAmountRound

    public void setAmountRound​(long amountRound)